type prs;



Const
	P=10; 
	M=10;
	S=2;
	mup=0.5;
	mum=0.05;
	mus=0.02;
	mug=0.1;
	lp=2;
	lm=1;
	ls=0.5;
	lg=1;
	GR=1; 
Var
	c1 = 0;
State
	a : 0 To P;
	b : 0 To M;
	c : 0 To S;

	@F;

Matrix Q
	[a,b,c]->[a+1,b,c]  = lp;
	[a,b,c]->[a,b+1,c]  = lm;
	[a,b,c]->[a,b,c+1]  = ls;

	(GR==1)&(a==P)&(b==M)&(c==S) :   [@F]->[a,b,c] = lg;

	[a,b,c]->[a-1,b,c]  = a*mup;
	[a,b,c]->[a,b-1,c]  = b*mum;
	[a,b,c]->[a,b,c-1]  = c*mus;

	(GR==1)&(a==P)&(b==M)&(c==S) :  [a,b,c]->[@F]= mug;

Vector R
	[a,b,c] = min(min(a,b),c)+1;
	[@F] = 1;

Vector P0
	(a==P) & (b==M) & (c==S) : [a,b,c] = 1;	
