
import javax.swing.*;
import java.awt.*;

/**
 * <p>Title: MRMSolve2</p>
 * <p>Description: The Markov Reward Model Solver</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: BUTE Dept. of Telecommunications</p>
 * @author not attributable
 * @version 2.0
 */

public class HTMLDialog extends JDialog {
  JScrollPane jScrollPane1 = new JScrollPane();
  JTextPane text = new JTextPane();

  public HTMLDialog(String title, int width, int height) throws HeadlessException {
    try {
      jbInit();
      setSize (width, height);
      this.setTitle(title);
      Dimension screen = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
      Dimension mine = getSize();
      setLocation ((screen.width-mine.width)/2, (screen.height-mine.height)/2);
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  public void showString (String t) {
    text.setText(t);
    text.setCaretPosition(0);
    setVisible (true);
  }

  private void jbInit() throws Exception {
    this.setModal(true);
    this.setResizable(true);
    text.setEditable(false);
    text.setContentType("text/html");
    this.getContentPane().add(jScrollPane1, BorderLayout.CENTER);
    jScrollPane1.getViewport().add(text, null);
  }

}
