

/**
 * <p>Title: MRMSolve2</p>
 * <p>Description: The Markov Reward Model Solver</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: BUTE Dept. of Telecommunications</p>
 * @author not attributable
 * @version 2.0
 */

public interface MRMType {

  public Option[] getOptions ();
  public Option getOption (String name);

  public String getMnemonic ();
  public String getName ();
  public String getDescription ();

  public String toString (); // should be implemented like: { return getName(); }

  public MRM getInstance (String shortname, String fullfilename, boolean isRaw);

  public boolean canComputeARMoms ();
  public boolean canComputeCTMoms ();
  public boolean canComputeARDistr ();
  public boolean canComputeCTDistr ();
  public boolean canDrawStateSpace ();

}

